Endpoints for managing signers on a signature request.
Add an individual signer
To add an individual signer, use the same parameters as when creating a
SignatureRequest. The process is the same. By using account_email, you can
add a signer who has a Skribble account. By using signer_identity_data,
you can invite a No-Account-Signer to the SignatureRequest with the ID
{{SR_ID}}.
๐ก Good to know
We recommend this approach of combining signer_idendity_data and
account_email if you are unsure whether the user has a Skribble account.
The benefit is that an existing Skribble user will afterwards find the
SignatureRequest in the To sign section of their account on
my.skribble.com.
Conversely, if you invite them using only signer_identity_data, the
document will not appear in their Skribble account, even if they have an
existing Skribble account. Instead, they will have to access the document
using the specific link provided in their signature invitation email.
path Parameters
SR_IDUnique ID received when creating the Signature Request object
Add an individual signer โบ Request Body
account_emailOptional signer account email address.
sequenceOptional signer sequence.
notifyWhether to send a notification to this signer.
languageDetermines in which language e-mails are sent to the user, if the user has not set their language preference yet.
Optional (no-account) signer identity information.
Visual signature placement information.
Add an individual signer โบ Responses
OK
idtitlemessagedocument_idlegislationLegislation under which the signatures are created. Required when quality is QES or AES_MINIMAL.
| Legislation | Description |
|---|---|
| ZERTES | QES according to Swiss law. This is the default. |
| EIDAS | QES according to EU law. |
qualityMinimal quality of the signatures for this signature request.
| Quality | Description |
|---|---|
| QES | Every signer must use QES. This is the default quality. Requires a legislation parameter. |
| AES | Signers will use AES if available, otherwise fall back to QES. |
| AES_MINIMAL | Signers will use QES if available, otherwise AES. At least AES is guaranteed. Requires a legislation parameter. |
| SES | Every signer uses SES. |
| DEMO | Every signer uses a DEMO signature with no legal binding. API demo users (api_demo_example_*) get this quality by default. |
| PART11 | Signers use a signature compliant with 21 CFR Part 11 regulations. |
signing_urlThe URL for the SignatureRequest owner to view and manage the request in the Skribble web application. This URL is not intended for signers โ each signer has their own dedicated signing_url within the signatures array.
status_overallOverall signing status of the document.
Possible values:
- OPEN At least one user has not signed or declined their signature yet.
- DECLINED At least one user declined to sign. The signature request failed.
- WITHDRAWN The owner has withdrawn the signature request.
- SIGNED All users signed the document. The signature request was successfully completed.
- EXPIRED The owner-set
expires_atdate has passed before all signers signed. Terminal status. - ERROR A technical error occurred. The signature request cannot be completed.
businesscc_email_addressesauto_delete_atServer-managed date on which this signature request and its related documents are automatically
deleted in line with the owning business's retention policy. Not directly settable by API clients.
May be absent or null when no retention policy applies.
expires_atOwner-set expiry date for this signature request. When this date passes, the request
transitions to status_overall=EXPIRED. Set via expires_at at create time.
Absent or null when no owner-set expiry has been configured.
attach_on_successWhen a SignatureRequest has been signed by all signers, all signers and all observers are notified by email. Skribble provides the option to attach two types of attachments automatically to this email:
- the signed document and
- the signature protocol.
This can be configured via the business settings, which can be used to define that these documents should generally be attached for all SignatureRequests created by business members.
Alternatively it is possible to define the attachments on demand per SignatureRequest by using this field.
customCustom field for storing application-specific data related to this signature request.
ownerread_accessUsers or API keys with read access to this signature request.
write_accessUsers or API keys with write access to this signature request.
created_atupdated_atcallback_success_urlCallback URL called on overall success. See the request schema for supported placeholders and retry behaviour.
callback_error_urlCallback URL called when a signer declines or the request is withdrawn. See the request schema for supported placeholders and retry behaviour.
callback_update_urlCallback URL called on any update (e.g. one signer signed). See the request schema for supported placeholders and retry behaviour.
callback_start_sign_urlCallback URL called when a signer starts the signature process (only for xQES). See the request schema for supported placeholders and retry behaviour.
callback_ident_pending_urlCallback URL called when the identification of a signer requires manual review. See the request schema for supported placeholders and retry behaviour.
callback_ident_error_urlCallback URL called when the identification of a signer ends in an error. See the request schema for supported placeholders and retry behaviour.
Remove an individual signer
Removes an individual signer from the SignatureRequest. Provide the
SignatureRequest ID SR_ID and the Signature ID SID of the signer to
remove.
path Parameters
SR_IDUnique ID received when creating the Signature Request object
SIDUnique ID of the signer
Remove an individual signer โบ Responses
OK
